<?php

class RequestTransaction
{

    private $requestor;
    private $transaction;
    private $country;
    private $entity;
    private $user;
    private $username;
    private $data1;
    private $data2;
    private $data3;

    /**
     * Get the value of requestor
     */ 
    public function getRequestor()
    {
        return $this->requestor;
    }

    /**
     * Set the value of requestor
     *
     * @return  self
     */ 
    public function setRequestor($requestor)
    {
        $this->requestor = $requestor;

        return $this;
    }

    /**
     * Get the value of transaction
     */ 
    public function getTransaction()
    {
        return $this->transaction;
    }

    /**
     * Set the value of transaction
     *
     * @return  self
     */ 
    public function setTransaction($transaction)
    {
        $this->transaction = $transaction;

        return $this;
    }

    /**
     * Get the value of country
     */ 
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * Set the value of country
     *
     * @return  self
     */ 
    public function setCountry($country)
    {
        $this->country = strtoupper($country);

        return $this;
    }

    /**
     * Get the value of entity
     */ 
    public function getEntity()
    {
        return $this->entity;
    }

    /**
     * Set the value of entity
     *
     * @return  self
     */ 
    public function setEntity($entity)
    {
        $this->entity = $entity;

        return $this;
    }

    /**
     * Get the value of user
     */ 
    public function getUser()
    {
        return $this->user;
    }

    /**
     * Set the value of user
     *
     * @return  self
     */ 
    public function setUser($user)
    {
        $this->user = $user;

        return $this;
    }

    /**
     * Get the value of username
     */ 
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * Set the value of username
     *
     * @return  self
     */ 
    public function setUsername($username)
    {
        $this->username = $username;

        return $this;
    }

    /**
     * Get the value of data1
     */ 
    public function getData1()
    {
        return $this->data1;
    }

    /**
     * Set the value of data1
     *
     * @return  self
     */ 
    public function setData1($data1)
    {
        $this->data1 = $data1;

        return $this;
    }

    /**
     * Get the value of data2
     */ 
    public function getData2()
    {
        return $this->data2;
    }

    /**
     * Set the value of data2
     *
     * @return  self
     */ 
    public function setData2($data2)
    {
        $this->data2 = base64_encode($data2);

        return $this;
    }

    /**
     * Get the value of data3
     */ 
    public function getData3()
    {
        return $this->data3;
    }

    /**
     * Set the value of data3
     *
     * @return  self
     */ 
    public function setData3($data3)
    {
        $this->data3 = $data3;

        return $this;
    }
}